#pragma once

#include "CoreMinimal.h"
#include "TooltipWidget.h"
#include "PrestigeViewData.h"
#include "CorePrestigeTooltipWidget.generated.h"

class UDBDTextBlock;
class UDBDRichTextBlock;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCorePrestigeTooltipWidget : public UTooltipWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDTextBlock* TitleTB;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDRichTextBlock* DescriptionRTB;

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void SetTooltipData(const FPrestigeViewData& data);

public:
	UCorePrestigeTooltipWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCorePrestigeTooltipWidget) { return 0; }
